Skip to main content
`Ctrl`+`K`

# global_reaching_centrality

global_reaching_centrality(G, weight=None, normalized=True)

  Returns the global reaching centrality of a directed graph.

  The global reaching centrality of a weighted directed graph is the average over all nodes of the difference between the local reaching centrality of the node and the greatest local reaching centrality of any node in the graph [1]. For more information on the local reaching centrality, see `local_reaching_centrality()`. Informally, the local reaching centrality is the proportion of the graph that is reachable from the neighbors of the node.

  Parameters:
    G DiGraph

      A networkx DiGraph.

    weight None or string, optional (default=None)

      Attribute to use for edge weights. If `None`, each edge weight is assumed to be one. A higher weight implies a stronger connection between nodes and a shorter path length.

    normalized bool, optional (default=True)

      Whether to normalize the edge weights by the total sum of edge weights.

  Returns:
    h float

      The global reaching centrality of the graph.

  See also

  `local_reaching_centrality`

  References

  [1]

  Mones, Enys, Lilla Vicsek, and Tamás Vicsek. “Hierarchy Measure for Complex Networks.” PLoS ONE 7.3 (2012): e33799. https://doi.org/10.1371/journal.pone.0033799

  Examples

      >>> G = nx.DiGraph()
      >>> G.add_edge(1, 2)
      >>> G.add_edge(1, 3)
      >>> nx.global_reaching_centrality(G)
      1.0
      >>> G.add_edge(3, 2)
      >>> nx.global_reaching_centrality(G)
      0.75